> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出 API key

> 列出整个 Enterprise 账户中的 API key

需要 Enterprise 管理员的个人 API key。

返回 Enterprise 账户中各个组织的 API key 分页列表。


## OpenAPI

````yaml zh/v2-openapi.yaml GET /v2/enterprise/api-keys
openapi: 3.1.0
info:
  description: 供企业管理员使用的 Devin v2 API（个人 API key）
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/api-keys:
    get:
      tags:
        - api-keys
      summary: 获取 Enterprise API key 的端点
      description: 在 Enterprise 范围内跨组织获取 API key，支持分页，并可按组织进行可选过滤。
      operationId: get_enterprise_api_keys_endpoint_v2_enterprise_api_keys_get
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: per_page
          required: false
          schema:
            default: 25
            maximum: 100
            minimum: 1
            title: Per Page
            type: integer
        - in: query
          name: org_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Org Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ApiKeyResponse_'
          description: 成功的响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    PaginatedResponse_ApiKeyResponse_:
      properties:
        has_more:
          title: Has More
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/ApiKeyResponse'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
        skip:
          title: Skip
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - skip
        - limit
        - has_more
      title: PaginatedResponse[ApiKeyResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ApiKeyResponse:
      properties:
        api_key_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key Value
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        id:
          title: Id
          type: string
        is_service_key:
          title: Is Service Key
          type: boolean
        org_id:
          title: Org Id
          type: string
        org_name:
          title: Org Name
          type: string
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
      required:
        - id
        - org_id
        - org_name
        - user_id
        - user_email
        - is_service_key
        - created_at
      title: ApiKeyResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 仅供 Enterprise 管理员使用的个人 API Key（apk_user_*）
      scheme: bearer
      type: http

````